2009-08-11  Bart Veer  <bartv@ecoscentric.com>

	* src/tls.c: new module for TLS (thread local storage) support as
	expected by gcc.

	* cdl/hal_synth_i386.cdl, include/var_arch.h,
	include/pkgconf/mlt_synth_i386_rom.ldi, src/vectors.s: add TLS
	support.

2009-07-14  Bart Veer  <bartv@ecoscentric.com>

	* cdl/hal_synth_i386.cdl: when building on x86_64 machines, use
	gcc -m32 instead of i686-pc-linux-gnu.

2009-07-09  Bart Veer  <bartv@ecoscentric.com>

	* src/syscall-i386-linux-1.0.S: add rename() system call.

2009-01-31  Bart Veer <bartv@ecoscentric.com>

	* cdl/hal_synth_i386.cdl: update compiler flags for gcc 4.x

2005-11-19  Bart Veer  <bartv@ecoscentric.com>

	* include/pkgconf/mlt_synth_i386_rom.ldi: add new heap section to
	avoid the use of brk()

2005-11-05  Andrew Lunn  <andrew.lunn@ascom.ch>

	* src/syscall-i386-linux-1.0.S: renamed prev_?stat to old?stat to
	match the kernel. Removed STATCALL2 macro because it caused
	confusion. Added the new?stat system calls.

2005-06-26  Bart Veer  <bartv@ecoscentric.com>

	* include/var_intr.h (HAL_DELAY_US): new header to supply
	processor-specific HAL_DELAY_US() macro

2005-03-21  Bart Veer  <bartv@ecoscentric.com>

	* cdl/hal_synth_i386.cdl, src/profile.c: add profiling support.

2005-03-11  Bart Veer  <bartv@ecoscentric.com>

	* include/var_io.h, src/syscall-i386-linux-1.0.S:
	Improve support for returning from signal handlers

2004-12-14  Alexander Neundorf <neundorf@kde.org>

	* src/syscall-i386-linux-1.0.S:	Add ipc system call

2004-08-04  Alexander Neundorf <alexander.neundorf@jenoptik.com>

	* src/syscall-i386-linux-1.0.S:	Add mkdir system call

2004-06-21  Alexander Neundorf <alexander.neundorf@jenoptik.com>

	* src/syscall-i386-linux-1.0.S:
	Add readdir, lstat and fstat system calls

2004-04-22  Jani Monoses <jani@iv.ro>

	 * cdl/hal_synth_i386.cdl :
	 Invoke tail with stricter syntax that works in latest coreutils. 

2002-09-15  Bart Veer  <bartv@ecoscentric.com>

	* src/syscall-i386-linux-1.0.S:
	Add access system call

2002-08-04  Bart Veer  <bartv@tymora.demon.co.uk>

	* src/vectors.S (_start):
	Store argv and environ in cyg_hal_sys_... variables

2002-04-29  Jonathan Larmour  <jlarmour@redhat.com>

	* src/vectors.S:
	Don't use .file as it can confuse debugging since the .file
	doesn't contain the path and therefore the debugger will never
	know where it lives! This conflicts with using -Wa,--gstabs.

2002-04-10  Jonathan Larmour  <jlarmour@redhat.com>

	* include/pkgconf/mlt_synth_i386_rom.ldi: Define eh_frame and
	RELOCS sections.

2001-11-1   Andrew Lunn <andrew.lunn@ascom.ch>

	* src/syscall-i386-linux-1.0.S: Added mmap system call

2001-12-07  Bart Veer  <bartv@redhat.com>

	* src/syscall-i386-linux-1.0.S: added getcwd() system call

2001-08-02  Bart Veer  <bartv@redhat.com>

	* src/context.S, include/arch.inc, include/var_arch.h:
	Update thread context manipulation code to do the
	right thing with respect to interrupt state.

	* src/context.S (hal_setjmp):
	 Fixed bug in hal_setjmp() that corrupted EBX.

2001-04-27  Bart Veer  <bartv@redhat.com>

	* All files
	Major reorganization and clean-up of the synthetic target.

2000-11-02  Jonathan Larmour  <jlarmour@redhat.com>

	* src/entry.c (_linux_entry): Extend memory using brk() syscall to
	match memory layout

	* src/syscall-i386-linux-1.0.S: Add brk syscall

2000-10-20  Jonathan Larmour  <jlarmour@redhat.com>

	* include/pkgconf/mlt_i386_linux_ram.mlt:
	Add heap1 section

	* include/pkgconf/mlt_i386_linux_ram.h:
	* include/pkgconf/mlt_i386_linux_ram.ldi:
	Regenerated

2000-10-20  Jonathan Larmour  <jlarmour@redhat.com>

	* cdl/hal_i386_linux.cdl: Correct memory layout file name

2000-03-03  John Dallaway  <jld@cygnus.co.uk>

	* cdl/hal_i386_linux.cdl (CYGBLD_GLOBAL_COMMAND_PREFIX):

	Revert most recent change for now to avoid breaking the
	release system.

2000-03-02  Jonathan Larmour  <jlarmour@redhat.co.uk>

	* cdl/hal_i386_linux.cdl (CYGBLD_GLOBAL_COMMAND_PREFIX): Use native
	toolchain by default, and describe versions to be used

2000-02-29  Jesper Skov  <jskov@redhat.com>

	* include/plf_intr.h: Don't include kernel headers.

2000-02-16  Jesper Skov  <jskov@redhat.com>

	* src/hal_diag.c (hal_diag_write_char): Check that write call is
	successful.

2000-02-16  Nick Garnett  <nickg@cygnus.co.uk>

	* include/variant.inc: Added missed copyright notice.

2000-02-15  Nick Garnett  <nickg@cygnus.co.uk>

	* include/variant.inc: 
	* include/var_intr.h: 
	* include/plf_intr.h: 
	These files added to make this HAL consistent with PC
	version. They also contains some code moved out of the
	architecture HAL.
	
2000-01-24  John Dallaway  <jld@cygnus.co.uk>

	* cdl/*.cdl:

	Remove obsolete option CYGTST_TESTING_IDENTIFIER.

2000-01-21  Jesper Skov  <jskov@cygnus.co.uk>
        CR 902062-CR
	* src/hal_diag.c:
	* src/syscall-i386-linux-1.0.S: 
	Sync after write.
	
	* src/hal_startup.c: Make signals NODEFER.

2000-01-19  Hugo Tyson  <hmt@cygnus.co.uk>

	* cdl/*.cdl: Add descriptions to a number of options &c which were
	lacking same, also tidied up other typos as noticed en passant.

1999-12-20  Gary Thomas  <gthomas@cygnus.co.uk>

	* cdl/hal_i386_linux.cdl: Add -Wl for linker options.

1999-11-25  Gary Thomas  <gthomas@cygnus.co.uk>

	* include/pkgconf/mlt_i386_linux_ram.h: New file(s).

1999-11-01  Jesper Skov  <jskov@cygnus.co.uk>

	* cdl/hal_i386_linux.cdl: Added.
	Use define_proc for const header defs.
1999-10-05  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* src/linux_misc.c: Fix some really minor spelling typos

	* src/hal_diag.c (hal_diag_read_char): Check if we were woken up by
	the itimer alarm (which is used for rescheduling) - in which case
	just read again.
	

1999-10-05  Jesper Skov  <jskov@cygnus.co.uk>

	* include/pkgconf/hal_i386_linux.h: Changed to use REAL TIME as
	default.

        From Andrew Lunn (lunn@ma.tech.ascom.ch)
	* src/PKGconf.mak: 
	* src/linux_misc.c:  [added]
	* src/syscall-i386-linux-1.0.S: 
	Added idle thread action, reducing host load when eCos is idle.

1999-08-16  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/hal_i386_linux.h:

	Proper case package display string.

1999-05-20  Gary Thomas  <gthomas@cygnus.co.uk>

	* include/pkgconf/hal_i386_linux.h: Move RTC setup here.

1999-05-14  Jesper Skov  <jskov@cygnus.co.uk>
        PR 18956
	* include/pkgconf/mlt_i386_linux_ram.mlt: 
	* include/pkgconf/mlt_i386_linux_ram.ldi: 
	Fixed problem with rel_got.
	Encode . in section name as __.
	
1999-04-08  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/mlt_*.*: Use double underscore substitution
	for period character in SECTION_* macro names (PR 19787)

1999-04-08  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/*.ldi: Revised SECTION_* macro arguments to
	avoid padded output sections (PR 19787)

1999-03-22  Jesper Skov  <jskov@cygnus.co.uk>

	* src/linux.S: Added comment.
	Doh! Managed to break compilation with a comment...	

1999-03-16  Jesper Skov  <jskov@cygnus.co.uk>
        PR 19483
	* src/linux.S (cyg_hal_hardware_init): Fiddled some more with the
	bits to no avail.

	* src/hal_startup.c: 
	Renamed hal_ to cyg_hal_.
	Added exception handling.

1999-03-12  Jesper Skov  <jskov@cygnus.co.uk>

	* src/hal_startup.c (cyg_hal_isr_init): Initialize ISR table with
	pointers to default ISR routine.

1999-03-12  Jesper Skov  <jskov@cygnus.co.uk>
        PR 19486
	* src/linux.S (cyg_hal_hardware_init): Only enable zero divide
	exceptions. 

1999-03-11  Jesper Skov  <jskov@cygnus.co.uk>

	* src/hal_startup.c: 
	* src/entry.c:
	Renamed hal_isr_init to cyg_hal_isr_init.
	
	* src/hal_startup.c: Also catch SIGFPE.

	* src/entry.c: Call cyg_hal_hardware_init.

	* src/linux.S:     [added]
	* src/PKGconf.mak: 
	Added file to hold startup assembly code.

1999-03-11  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/*.ldi: add copyright notices

1999-03-04  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/*.ldi: give all LDI files unique names so
        that they can co-exist in an eCos build tree (PR 19184)
	* include/pkgconf/*.mlt: give all MLT files unique names so
        that they can co-exist in an eCos build tree (PR 19184)

1999-02-25  Nick Garnett  <nickg@cygnus.co.uk>

	* src/hal_startup.c: 
	Changed label used to access scheduler lock to one that is not
	mangled by C++. This is intended to make support for interrupt
	handling in non-kernel configurations easier.

1999-02-22  Jesper Skov  <jskov@cygnus.co.uk>

	* src/syscall-i386-linux-1.0.S: Added copyright header.

1999-02-20  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* src/hal_startup.c: 
	Rename hal_interrupts_deffered -> hal_interrupts_deferred
	Rename CYG_ISR/VSR_* -> CYGNUM_HAL_ISR/VSR_* in line with HAL changes
	Rename CYG_VECTOR_RTC -> CYGNUM_HAL_INTERRUPT_RTC

	* src/syscall-i386-linux-1.0.S:
	Add a FIX ME

1999-02-08  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/ram.mlt: New memory layout save file

1999-02-05  John Dallaway  <jld@cygnus.co.uk>

	* include/pkgconf/*.ldi: Remove LMA_EQ_VMA macro definition.

1999-01-29  Jesper Skov  <jskov@cygnus.co.uk>

	* include/pkgconf/hal_i386_linux.h: Changed CDL type back to radio
	to get consistent ConfigTool output.

1999-01-27  Jesper Skov  <jskov@cygnus.co.uk>

	* include/pkgconf/ram.ldi: Commented out the rel_got change.

1999-01-25  Jesper Skov  <jskov@cygnus.co.uk>

	* include/pkgconf/ram.ldi: Added rel.got section.

1999-01-22  Jesper Skov  <jskov@cygnus.co.uk>

	* src/hal_startup.c: Moved external declarations into top-level
	scope to avoid compiler warning.

1999-01-19  Jesper Skov  <jskov@cygnus.co.uk>

	* include/pkgconf/hal_i386_linux.h: Removed startup
	config. Changed linux entry to dummy instead of bool.

1999-01-12  Jesper Skov  <jskov@cygnus.co.uk>

	* include/pkgconf/hal_i386_linux.h: Added config for real-time
	timer.

1999-01-12  Jesper Skov  <jskov@cygnus.co.uk>

	* src/hal_diag.c: Removed hal_diag_write_line.

	* src/entry.c: Removed main/argv stuff.

1999-01-12  Jesper Skov  <jskov@cygnus.co.uk>

	* include/pkgconf/hal_i386_linux.h: Added.

1999-01-11  Jesper Skov  <jskov@cygnus.co.uk>

	* src/hal_startup.c (hal_default_vsr): 
	* src/linux.ld (cyg_hal_sched_lock): 
	Added C-symbol reference to the scheduler lock.

1999-01-11  Jesper Skov  <jskov@cygnus.co.uk>

	* src/hal_startup.c (hal_default_vsr): Allow interrupt disable
	count to be bigger than 1.

1999-01-11  Jesper Skov  <jskov@cygnus.co.uk>

	* src/linux.ld: Added fix me. Remember to clean up.

	* src/hal_startup.c: Removed bogus include statement.
	Added CYGPKG_KERNEL config handling.

	* src/hal_diag.c: Removed bogus include statements and functions.

1999-01-07  Jesper Skov  <jskov@cygnus.co.uk>

	* src/hal_startup.c (hal_isr_init): Use CYG_VECTOR_RTC rather than
	hardcoded value.

1999-01-07  Jesper Skov  <jskov@cygnus.co.uk>

	* src/syscall-i386-linux-1.0.S:
	* src/hal_diag.c: 
	* src/PKGconf.mak:
	Removed tabs & fixed comment style.

1999-01-07  Jesper Skov  <jskov@cygnus.co.uk>

	* src/PKGconf.mak: Cleaned up.

	* src/entry.c: Added (from proven's crtbegin.c).

	* src/linux.ld: Added.

	* src/hal_startup.cxx: (Deleted)
	* src/hal_startup.c:   (Added)
	Changed code to C, cleaned up.

1999-01-06  Jesper Skov  <jskov@cygnus.co.uk>

	* src/hal_diag.c: Fixed warnings. Output chars in batches to avoid
	problems with pkgtest - also improves performance.

1999-01-06  Jesper Skov  <jskov@cygnus.co.uk>

	* src/syscall-i386-linux-1.0.S: Set behavior to match __ELF__.

1998-12-18  Jesper Skov  <jskov@cygnus.co.uk>

	* src/syscall-i386-linux-1.0.S: 
	* src/hal_startup.cxx: 
	Fixed compiler warnings.

Fri Dec  4 13:49:03 GMT 1998

	* src/syscall-i386-linux-1.0.S: Fix to work with Bart's latest tools.
	For some reason it doesn't define __ELF__ but, we really don't care.

Mon Nov  9 15:18:11 GMT 1998   Chris Provenzano  <proven@cygnus.com>

        Initial i386 linux port.

//===========================================================================
// ####GPLCOPYRIGHTBEGIN####                                                
// -------------------------------------------                              
// This file is part of eCos, the Embedded Configurable Operating System.   
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Free Software Foundation, Inc.
//
// This program is free software; you can redistribute it and/or modify     
// it under the terms of the GNU General Public License as published by     
// the Free Software Foundation; either version 2 or (at your option) any   
// later version.                                                           
//
// This program is distributed in the hope that it will be useful, but      
// WITHOUT ANY WARRANTY; without even the implied warranty of               
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        
// General Public License for more details.                                 
//
// You should have received a copy of the GNU General Public License        
// along with this program; if not, write to the                            
// Free Software Foundation, Inc., 51 Franklin Street,                      
// Fifth Floor, Boston, MA  02110-1301, USA.                                
// -------------------------------------------                              
// ####GPLCOPYRIGHTEND####                                                  
//===========================================================================
